@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

.body{
    width: 100%;
    position: relative;
    height: 120vh;
}

/* COLORS */
:root{
    --white-color: #fff;
    --black-color: #000000;
    --black-opaque-color: #000000bb;
    --hover-color: #0000ff98;
    --button-color: #ffe3ffC2;
    --button-color: #dd5c92c2;
    --error--color: #e00f0f;
    --toggle-color: #ffe3fff1;
}

/* HEADER */
.container{
    width: 100%;
    height: 100vh;
    /* background: linear-gradient(rgba(35, 62, 87, 0.995), rgba(35, 62, 87, 0.604), rgba(35, 62, 87, 0.404)), url(/image/atm-card-two-hands.png); */
    background-color: rgb(214, 214, 214);
    background-position: top;
    background-size: cover;
    overflow-y: hidden;
}

nav{
    padding: 25px 3%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: background-color .5s;
    width: 100%;
    background-color: var(--black-opaque-color);
}

nav:hover{
    background-color: var(--button-color);
}

nav:hover .menu li a{
    color:  var(--black-color);
}

nav:hover .logo h2{
    color: var(--black-color);
}


.logo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3px;
}

.logo a{
    text-decoration: none;
}

.logo:hover{
    cursor: pointer;
}

.logo img{
    width: 60px;
}

.logo h2{
    font-size: 25px;
    color: var(--white-color);
}

.nav-links{
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 30px;
}

.menu ul{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 25px;
}

.menu li{
    list-style: none;
    font-size: 17px;
    font-weight: 600px;
}

.menu li:after{
    content: '';
    width: 0%;
    height: 2px;
    display: block;
    background: var(--hover-color);
    margin: auto;
    transition: .5s;
}

.menu li:hover::after{
    width: 80%;
}

.menu a{
    text-decoration: none;
    color: var(--white-color);
    font-weight: 600;
}

/* TOGGLE */

.toggle{
    display: none;
    font-size: 20px;
    color: var(--white-color);
}

/* TOGGLE END */

.sign{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.sign a{
    display: flex;
    text-decoration: none;
    color: var(--black-color);
    background-color: var(--button-color);
    padding: 10px 15px;
    transition: .5s ease-in-out;
    border-radius: 8px;
}

.sign a:hover{
    background-color: var(--hover-color);
    color: white;
}


/* FORM */

form{
    width: 380px;
    height: 70vh;
    display: block;
    justify-content: center;
    background-color: var(--white-color);
    border: 1px solid #f8f8f8;
    box-shadow: #f8f8f8;
    margin: 50px auto;
    border-radius: 15px;
    box-shadow: 0px 0px 10px 17px rgba(0,0,0,0.72);
    -webkit-box-shadow: 0px 0px 10px 17px rgba(0,0,0,0.72);
    -moz-box-shadow: 0px 0px 10px 17px rgba(0,0,0,0.72);
}

.login-top-text{
    text-align: center;
    background-color: var(--black-color);
    padding: 40px;
    border-radius: 15px;
    border-bottom-left-radius: 52px;
    border-bottom-right-radius: 52px;
    color: var(--white-color);
}

.login-top-text h2{
    font-size: 25px;
    font-weight: 100px;
}

.login-top-text p{
    font-weight: lighter;
    font-size: 15px;
    margin-top: 17px;
}

.login{
    color: var(--hover-color);
    margin-top: 20px;
    font-size: 20px;
    text-align: center;
    margin-bottom: 25px;
    font-weight: 600;
}

.login-error{
    margin-top: 10px;
    font-weight: 600;
    text-align: center;
    color: var(--error--color);
}


form label{
    text-align: left;
    padding-left: 60px;
    font-size: 15px;
}

form input{
    display: flex;
    margin: 7px auto;
    width: 270px;
    padding: 3px;
    border: none;
    border-bottom: 2px solid var(--hover-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: transparent;
    outline: none;
}

form button{
    display: flex;
    margin: 25px auto;
    color: var(--white-color);
    background-color: var(--hover-color);
    border: none;
    border-radius: 8px;
    padding: 10px 30px;
    transition: .5s ease-in-out;
}


form button:hover{
    font-weight: 600;
    cursor: pointer;
}

.register-bottom-text{
    text-align: center;
    font-size: 10px;
}

.register-bottom-text span{
    color: var(--hover-color);
    font-size: 12px;
    font-weight: 600;
}

.input-email{
    position: relative;
    margin-bottom: 25px;
}

.input-email .email-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    top: 26%;
    left: -2%;
    text-align: center;
    margin-right: 100px;
    margin-right: 60px;
    color: var(--error--color);
}

.input-email .email-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 15%;
    right: 0;
    margin-right: 90px;
    text-align: center;
}

.input-password{
    position: relative;
}

.input-password i{
    position: absolute;
    right: 0;
    bottom: 0;
    margin-bottom: 10px;
    margin-right: 60px;
}

.input-password .pass-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    color: var(--error--color);
    top: 30%;
    left: -2%;
    margin-right: 100px;
    text-align: center;
}

.input-password .pass-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 3%;
    right: 0;
    margin-right: 30px;
    text-align: center;
}

.input-password .open-eye{
    display: none;
    color: var(--hover-color);
}

.input-password .close-eye{
    color: var(--hover-color);
}



/* MEDIA QUERIES */

/* MEDIA QUERY FOR MAX WIDTH OF 915PX */

@media (max-width: 915px) {
nav{
    padding: 25px 3%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--button-color);
    transition: background-color .5s;
    z-index: 10;
}

nav:hover{
    background-color: none;
}

nav:hover .menu li a{
    color:  none;
}

nav:hover .logo h2{
    color: none;
}

.menu li:hover::after{
    width: 70%;
    margin: 0;
}

.logo h2{
    font-size: 25px;
    color: var(--black-color);
}

.nav-links{
    display: none;
    margin-top: 115px;
    position: fixed;
    top: 0;
    right: 0;
    width: 200px;
    height: calc(100vh - 115px);
    background-color: var(--toggle-color);
    z-index: 2;
    overflow-x: hidden;
    transition: all 1s ease-in;
    z-index: 1;
}

.menu ul{
    display: inline-block;
    padding: 30px;
}

.menu ul li{
    padding: 10px;
}

.menu ul li a{
    color: var(--black-color);
}

.sign{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
}

.sign{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 0 40px;
    gap: 10px;
}

.sign a{
    display: flex;
    text-decoration: none;
    color: var(--black-color);
    background-color: var(--button-color);
    padding: 10px 15px;
    transition: .5s ease-in-out;
    border-radius: 8px;
    border: 1px solid var(--black-color);
}

.sign a:hover{
    background-color: var(--hover-color);
    color: var(--white-color);
}


.toggle{
    display: block;
    color: var(--black-color);
    transition: all .5s;
}

.toggle .menu_open{
    display: block;
    transition: all .5s;
}

.toggle .menu_close{
    display: none;
    transition: .5s ease-in;
}


.toggle:hover{
    transform: scale(1.1);
}

.button a{
    text-decoration: none;
    color: var(--black-color);
    background-color: var(--button-color);
    border-radius: 8px;

    padding: 15px 35px;
    transition: .5s ease-in-out;
}

form{
    width: 400px;
    height: 75vh;
    display: block;
    justify-content: center;
    background-color: var(--button-color);
    margin: 50px auto;
    border-radius: 15px;
}

form label{
    text-align: left;
    padding-left: 50px;
    font-size: 15px;
}

form input{
    display: flex;
    margin: 20px auto;
    width: 300px;
    padding: 3px;
    border: none;
    border-bottom: 2px solid var(--hover-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: transparent;
    outline: none;
}

form button{
    display: flex;
    margin: 35px auto;
    color: var(--white-color);
    background-color: var(--hover-color);
    border: none;
    border-radius: 8px;
    padding: 10px 30px;
    transition: .5s ease-in-out;
}
.input-email{
    position: relative;
}

.input-email .email-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    top: 26%;
    left: -2%;
    text-align: center;
    margin-right: 100px;
    margin-right: 60px;
    color: var(--error--color);
}

.input-email .email-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 15%;
    right: 0;
    margin-right: 90px;
    text-align: center;
}

.input-password{
    position: relative;
}

.input-password i{
    position: absolute;
    right: 0;
    bottom: 0;
    margin-bottom: 10px;
    margin-right: 60px;
}

.input-password .pass-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    color: var(--error--color);
    top: 30%;
    left: -2%;
    margin-right: 100px;
    text-align: center;
}

.input-password .pass-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 3%;
    right: 0;
    margin-right: 30px;
    text-align: center;
}

.input-password .open-eye{
    display: none;
    color: var(--hover-color);
}

.input-password .close-eye{
    color: var(--hover-color);
}

}

/* MEDIA QUERY FOR MAX WIDTH OF 415PX */
@media (max-width: 415px){
    form{
    width: 330px;
    height: 72vh;
    display: block;
    justify-content: center;
    background-color: var(--button-color);
    margin: 50px auto;
    border-radius: 15px;
}

form input{
    display: flex;
    margin: 20px auto;
    width: 250px;
    padding: 6px;
    border: none;
    border-bottom: 2px solid var(--hover-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: transparent;
    outline: none;
}

form label{
    text-align: left;
    padding-left: 45px;
    font-size: 15px;
}

.register-bottom-text{
    text-align: center;
    font-size: 15px;
}

.register-bottom-text span{
    color: var(--hover-color);
    font-size: 15px;
    font-weight: 600;
}

.input-email{
    position: relative;
}

.input-email .email-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    top: 26%;
    left: -2%;
    text-align: center;
    margin-right: 100px;
    margin-right: 60px;
    color: var(--error--color);
}

.input-email .email-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 15%;
    right: -10%;
    margin-right: 90px;
    text-align: center;
}

.input-password{
    position: relative;
}

.input-password i{
    position: absolute;
    right: 0;
    bottom: 0;
    margin-bottom: 10px;
    margin-right: 60px;
}

.input-password .pass-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    color: var(--error--color);
    top: 30%;
    left: -2%;
    margin-right: 100px;
    text-align: center;
}

.input-password .pass-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 3%;
    right: -10%;
    margin-right: 30px;
    text-align: center;
}

.input-password .open-eye{
    display: none;
    color: var(--hover-color);
    position: absolute;
    right: 6%;
}

.input-password .close-eye{
    color: var(--hover-color);
    position: absolute;
    right: 6%;
}
}

/* MEDIA QUERY FOR MAX WIDTH OF 380PX */
@media (max-width: 380px){
    form{
    width: 300px;
    height: 75vh;
    display: block;
    justify-content: center;
    background-color: var(--button-color);
    margin: 50px auto;
    border-radius: 15px;
}

form label{
    text-align: left;
    padding-left: 50px;
    font-size: 15px;
}

.register-bottom-text{
    text-align: center;
    font-size: 12px;
}

.register-bottom-text span{
    color: var(--hover-color);
    font-size: 12px;
    font-weight: 600;
}

form input{
    display: flex;
    margin: 7px auto;
    width: 200px;
    padding: 10px;
    border: none;
    border-bottom: 2px solid var(--hover-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: transparent;
    outline: none;
}

form button{
    display: flex;
    margin: 25px auto;
    color: var(--white-color);
    background-color: var(--hover-color);
    border: none;
    border-radius: 8px;
    padding: 10px 30px;
    transition: .5s ease-in-out;
}

.input-email{
    position: relative;
}

.input-email .email-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    top: 26%;
    left: -2%;
    text-align: center;
    margin-right: 100px;
    margin-right: 60px;
    color: var(--error--color);
}

.input-email .email-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 15%;
    right: -10%;
    margin-right: 90px;
    text-align: center;
}

.input-password{
    position: relative;
}

.input-password i{
    position: absolute;
    right: 0;
    bottom: 0;
    margin-bottom: 10px;
    margin-right: 60px;
}

.input-password .pass-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    color: var(--error--color);
    top: 30%;
    left: -2%;
    margin-right: 100px;
    text-align: center;
}

.input-password .pass-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 3%;
    right: -10%;
    margin-right: 30px;
    text-align: center;
}

.input-password .open-eye{
    display: none;
    color: var(--hover-color);
    position: absolute;
    right: 7%;
}

.input-password .close-eye{
    color: var(--hover-color);
    position: absolute;
    right: 7%;
}

.logo img{
    width: 40px;
}

.logo a h2{
    font-size: 20px;
}

.nav-links{
    margin-top: 94px;
    height: calc(100vh - 94px);
}

}
/* MEDIA QUERY FOR MAX WIDTH OF 280PX */
@media (max-width: 280px){
    form{
    width: 250px;
    height: 75vh;
    display: block;
    justify-content: center;
    background-color: var(--button-color);
    margin: 50px auto;
    border-radius: 15px;
}

form label{
    text-align: left;
    padding-left: 40px;
    font-size: 12px;
}

.register-bottom-text{
    text-align: center;
    font-size: 12px;
}

.register-bottom-text span{
    color: var(--hover-color);
    font-size: 12px;
    font-weight: 600;
}

form input{
    display: flex;
    margin: 7px auto;
    width: 180px;
    padding: 14px;
    border: none;
    border-bottom: 2px solid var(--hover-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    background: transparent;
    outline: none;
}

form button{
    display: flex;
    margin: 25px auto;
    color: var(--white-color);
    background-color: var(--hover-color);
    border: none;
    border-radius: 8px;
    padding: 7px 25px;
    transition: .5s ease-in-out;
}

.input-email{
    position: relative;
}

.input-email .email-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    top: 26%;
    left: -2%;
    text-align: center;
    margin-right: 100px;
    margin-right: 60px;
    color: var(--error--color);
}

.input-email .email-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 15%;
    right: -16%;
    margin-right: 90px;
    text-align: center;
}

.input-password{
    position: relative;
}

.input-password i{
    position: absolute;
    right: 0;
    bottom: 0;
    margin-bottom: 10px;
    margin-right: 60px;
}

.input-password .pass-error{
    font-size: 12px;
    width: 100%;
    position: absolute;
    color: var(--error--color);
    top: 30%;
    left: -2%;
    margin-right: 100px;
    text-align: center;
}

.input-password .pass-granted{
    color: green;
    font-size: 14px;
    position: absolute;
    bottom: 3%;
    right: -16%;
    margin-right: 30px;
    text-align: center;
}

.input-password .open-eye{
    display: none;
    color: var(--hover-color);
    position: absolute;
    right: 3%;
}

.input-password .close-eye{
    color: var(--hover-color);
    position: absolute;
    right: 3%;
}

}